posts - 262,  comments - 221,  trackbacks - 0
①gem install

install命令用于安装指定的gem包,常用的方式是:gem install rails。我们也可以指定版本:gem install rails --version=2.3.5

②gem uninstall

uninstall命令用于反安装gem包,不过要注意的是这个命令并不会删除你之前安装的gem包,而只是把它从path中删除而已。如果我执行以下的命令

 gem install rails --version=2.3.4
 gem uninstall rails --version=2.3.4
 gem install rails --version=2.3.5

实际上rails 2.3.4版本依然还在,只不过你在命令行下执行rails -v的时候是显示rails 2.3.5而已。

③gem cleanup

这个命令配合gem uninstall使用的话可以完全删除旧版本的gem包,所以在上面的例子中如果我需要完全卸载rails 2.3.4的话,只需要再执行
 gem cleanup就可以了

④使用指定的rails版本编译运行

rails _版本号_ 项目名称


-------------------------------------------------------------
生活就像打牌,不是要抓一手好牌,而是要尽力打好一手烂牌。
posted on 2010-06-24 17:39 Paul Lin 阅读(1389) 评论(0)  编辑  收藏 所属分类: RoR

只有注册用户登录后才能发表评论。


网站导航:
 
<2010年6月>
303112345
6789101112
13141516171819
20212223242526
27282930123
45678910

常用链接

留言簿(19)

随笔分类

随笔档案

BlogJava热点博客

好友博客

搜索

  •  

最新评论

阅读排行榜

评论排行榜